## hippomocks 5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
enable_testing()

if (NOT MSVC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic -Wno-long-long -std=c++11")
endif()
add_subdirectory(HippoMocks)
add_subdirectory(HippoMocksTest)

install(FILES ${PROJECT_SOURCE_DIR}/HippoMocks/hippomocks.h
        DESTINATION include/)

=== Makefile ===
#!/usr/bin/make -f

%:
	$(MAKE) -C HippoMocksTest/ $@

test:
	$(MAKE) -C HippoMocksTest/ runtest


install: HippoMocks/hippomocks.h
	install -d ${DESTDIR}/usr/include/${<D}
	install ${<} ${DESTDIR}/usr/include/${<}

=== HippoMocks/CMakeLists.txt ===
project(HippoMocks)

add_library(${PROJECT_NAME} INTERFACE)
target_include_directories(${PROJECT_NAME} INTERFACE .)

=== HippoMocksTest/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(HippoMocksTests CXX)

add_executable(${PROJECT_NAME}
	Framework.cpp
	is_virtual.cpp
	main.cpp
	test_args.cpp
	test_array.cpp
	test_autoptr.cpp
	test_cfuncs.cpp
	test_class_args.cpp
	test_com_support_stdcall.cpp
	test_constref_params.cpp
	test.cpp
	test_cv_funcs.cpp
	test_do.cpp
	test_dontcare.cpp
	test_except.cpp
	test_exception_quality.cpp
	test_filter.cpp
	test_inparam.cpp
	test_membermock.cpp
	test_mi.cpp
	test_nevercall.cpp
	test_objectreturn.cpp
	test_optional.cpp
	test_outparam.cpp
	test_overload.cpp
	test_ref_args.cpp
	test_regression_arg_count.cpp
	test_retval.cpp
	test_transaction.cpp
	test_zombie.cpp
)
target_link_libraries(${PROJECT_NAME} 
	PRIVATE 
		HippoMocks
)
add_test(test ${PROJECT_NAME})

## hippomocks 0.0

=== debian/changelog ===
hippomocks (0.0-0~rzr1) unstable; urgency=medium

  * WIP

 -- Philippe Coval <rzr@users.sf.net>  Mon, 11 Dec 2017 03:08:44 +0100

hippomocks (5.0-1) unstable; urgency=medium

  * Initial release (Closes: #826582)

 -- Philippe Coval <rzr@users.sf.net>  Tue, 24 May 2016 05:58:23 -0400

=== debian/control ===
Source: hippomocks
Priority: optional
Maintainer: Philippe Coval <rzr@users.sf.net>
Build-Depends: debhelper (>= 9), cmake
Standards-Version: 3.9.8
Section: libs
Homepage: http://www.hippomocks.com

Package: hippomocks
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: C++ mocking framework
 An easily usable mocking framework for C++ that allows you to
 instantiate derived typeswhilst making your test,
 without explicitly writing classes to do so.

## hippomocks 5.0

=== debian/changelog ===
hippomocks (5.0-2) unstable; urgency=medium

  * debian/rules: Honour DEB_BUILD_OPTIONS=nocheck. (Closes: #928265)
  * debian/gbp.conf: Build debian/master
  * debian/watch: Scan github tag
  * debian/control: Set team maintenance
  * debian/control: Bump Standards
  * debian/control: Add silent-on-rules-requiring-root
  * debian/upstream: Add metadata file
  * debian/copyright: Fix secure URL
  * debian/copyright: Fix update-debian-copyright

 -- Philippe Coval <rzr@users.sf.net>  Mon, 24 Jul 2023 12:51:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: hippomocks
 Priority: optional
-Maintainer: Philippe Coval <rzr@users.sf.net>
-Build-Depends: debhelper (>= 9), cmake
-Standards-Version: 3.9.8
+Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
+Uploaders: Philippe Coval <rzr@users.sf.net>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
 Section: libs
-Homepage: http://www.hippomocks.com
+Homepage: https://www.hippomocks.com
+Vcs-Git: https://salsa.debian.org/debian-iot-team/hippomocks.git -b debian/master
+Vcs-Browser: https://salsa.debian.org/debian-iot-team/hippomocks
+Rules-Requires-Root: no
 
 Package: hippomocks
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_OPTIONS += noopt

%:
	dh $@

override_dh_auto_build:

=== debian/watch ===
version=4
opts="mode=git,pgpmode=none" \
https://github.com/dascandy/@PACKAGE@ \
refs/tags/@ANY_VERSION@
